package com.yanzhu.manage.mapper;

import java.util.List;
import com.yanzhu.manage.domain.BusExamQuestion;
import com.yanzhu.manage.domain.BusExamQuestionResult;

/**
 * 基础题库Mapper接口
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public interface BusExamQuestionMapper 
{
    /**
     * 查询基础题库
     * 
     * @param id 基础题库主键
     * @return 基础题库
     */
    public BusExamQuestion selectBusExamQuestionById(Long id);

    /**
     * 查询基础题库列表
     * 
     * @param busExamQuestion 基础题库
     * @return 基础题库集合
     */
    public List<BusExamQuestion> selectBusExamQuestionList(BusExamQuestion busExamQuestion);

    /**
     * 新增基础题库
     * 
     * @param busExamQuestion 基础题库
     * @return 结果
     */
    public int insertBusExamQuestion(BusExamQuestion busExamQuestion);

    /**
     * 修改基础题库
     * 
     * @param busExamQuestion 基础题库
     * @return 结果
     */
    public int updateBusExamQuestion(BusExamQuestion busExamQuestion);

    /**
     * 删除基础题库
     * 
     * @param id 基础题库主键
     * @return 结果
     */
    public int deleteBusExamQuestionById(Long id);

    /**
     * 批量删除基础题库
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusExamQuestionByIds(Long[] ids);

    /**
     * 批量删除题库问题
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusExamQuestionResultByQuestionIds(Long[] ids);
    
    /**
     * 批量新增题库问题
     * 
     * @param busExamQuestionResultList 题库问题列表
     * @return 结果
     */
    public int batchBusExamQuestionResult(List<BusExamQuestionResult> busExamQuestionResultList);
    

    /**
     * 通过基础题库主键删除题库问题信息
     * 
     * @param id 基础题库ID
     * @return 结果
     */
    public int deleteBusExamQuestionResultByQuestionId(Long id);
}
